Bug report #17373

Some missing dependencies before compilation QGIS in Ubuntu Artful

Added by Jorge Useche almost 3 years ago. Updated almost 3 years ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Build/Install
Affected QGIS version:master Regression?:No
Operating System:Ubuntu 17.10 Artful Aardvark Easy fix?:No
Pull Request or Patch supplied:No Resolution:fixed/implemented
Crashes QGIS or corrupts data:No Copied to github as #:25270

Description

Hello, can anyone add this dependencies in official install steps? https://github.com/qgis/QGIS/blob/master/INSTALL#L186

I'm compile QGIS 3 (last commit 8afbaebd2107eb5f1068de3c5fcd9860e2806333) from github repository, and I'm used default configuration for compilation.

I've install some python3 missing dependencies in qgis execution.

sudo apt install python3-owslib python3-jinja2 python3-pygments

If is needed I can make a Pull Request in github adding this dependencies.

Screenshot from 2017-11-01 09-18-01.png - pygments (338 KB) Jorge Useche, 2017-11-01 03:23 PM

Screenshot from 2017-11-01 09-17-10.png - jinja2 (339 KB) Jorge Useche, 2017-11-01 03:23 PM

Screenshot from 2017-11-01 09-16-27.png - owslib (263 KB) Jorge Useche, 2017-11-01 03:23 PM


Related issues

Related to QGIS Application - Bug report #17371: Problem Closed 2017-11-01

History

#1 Updated by Jürgen Fischer almost 3 years ago

  • Status changed from Open to Closed

Fixed in e9d2fd676df1

#2 Updated by Jürgen Fischer almost 3 years ago

Also available in: Atom PDF